import appConfig from "../appConfig";
import pbClient from "../pbClient";

let token = "";

/**
 * 更新租户的token
 * @param {string} value 新的token
 */
const update = async (value: string) => {
  await pbClient.collection("config").update("ugel8f0cpk0rut6", { value });
  token = value;
  console.log("reset access token success", value);
};

/**
 * 获取租户的token
 * @returns {string} 租户的token
 */
const get = async () => {
  if (token) return token;
  return await appConfig.get("tenant_access_token");
};

const tenantAccessToken = {
  update,
  get,
};

export default tenantAccessToken;
