import db from "../db";

export const resetAccessToken = async () => {
  const URL =
    "https://open.f.mioffice.cn/open-apis/auth/v3/tenant_access_token/internal";
  const app_id = await db.appConfig.getAppId();
  const app_secret = await db.appConfig.getAppSecret();
  const res = await fetch(URL, {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
    },
    body: JSON.stringify({
      app_id,
      app_secret,
    }),
  });
  const { tenant_access_token } = (await res.json()) as any;
  await db.tenantAccessToken.update(tenant_access_token);
  return tenant_access_token;
};
